# $Revision: 1.11 $, $Date: 2004/12/26 17:57:37 $
%define _name Archive
Summary:	ROX-archive is a program for creating and extracting archives
Summary(pl):	ROX-archive suy do tworzenia i dekompresji archiww
Name:		rox-%{_name}
Version:	1.9.4
Release:	5
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/rox/archive-%{version}.tgz
# Source0-md5:	c8468811535076da8e7e1b5f9f0c89ed
URL:		http://rox.sourceforge.net/archive.php3
BuildRequires:	rpm-pythonprov
Requires:	python-pygtk-gtk
Requires:	rox-Lib
%pyrequires_eq  python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appsdir	%{_libdir}/ROX-apps

%description
ROX-archive is a very easy to use program for creating and extracting
archives. You can use this program to compress a directory or file
into a single, smaller file (which can be stored, emailed, etc).

%description -l pl
ROX-archive jest bardzo prostym w uyciu programem sucym do
tworzenia i dekompresji archiww. Ten program moesz uywa aby
zpakowa katalog lub plik do jednego, mniejszego (ktry moe by
przechowywany, wysany poczt, itp.)

%prep
%setup -q -n archive-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appsdir}/%{_name}/Help

rm -f ../install
cd Archive
install App* *.py $RPM_BUILD_ROOT%{_appsdir}/%{_name}
install Help/README $RPM_BUILD_ROOT%{_appsdir}/%{_name}/Help

%py_comp $RPM_BUILD_ROOT%{_appsdir}/%{_name}
%py_ocomp $RPM_BUILD_ROOT%{_appsdir}/%{_name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Archive/Help/Changes
%attr(755,root,root) %{_appsdir}/%{_name}/AppRun
%{_appsdir}/%{_name}/AppI*
%{_appsdir}/%{_name}/*.py[co]
%{_appsdir}/%{_name}/Help
%dir %{_appsdir}/%{_name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rox-Archive.spec,v $
Revision 1.11  2004/12/26 17:57:37  saq
- release 5 for rebuild with python 2.4

Revision 1.10  2004/11/14 21:48:02  havner
- rel up for rebuild with python-pygtk

Revision 1.9  2004/08/30 23:43:30  darekr
- update to 1.9.4

Revision 1.8  2004/07/28 08:03:19  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.7  2004/07/23 22:32:18  grzegol
- (B)R: python-pygtk-gtk instead of python-pygtk
- rel. 3

Revision 1.6  2003/05/28 13:01:41  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:26:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.3  2003/01/18 22:56:18  juandon
- removed two lines with define

Revision 1.2  2002/08/20 14:50:19  grzegol
- moved ROX-apps to %%{_libdir}
- rel.2
STBR

Revision 1.1  2002/06/19 21:36:14  grzegol
- initial release
